List all events
curl --request GET \
--url https://api.sandbox.lead.bank/v1/event \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/event"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"id": "<string>",
"event": "ach.processing",
"created_at": "<string>",
"object_version": "<string>",
"object": {}
}
],
"has_more": true
}{
"code": "parameters_invalid",
"title": "Your request parameters did not validate.",
"detail": "The object_id parameter must be a valid object ID (e.g., ach_xyz, wire_xyz, account_number_xyz, internal_transfer_xyz, or disbursement_xyz).",
"status": "422"
}Events
List all Events
List all event objects.
GET
/
v1
/
event
List all events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the Event object you want to retrieve. Return events of these type.
The type of event.
Available options:
ach.processing, ach.submitted, ach.posted, ach.under_review, ach.approved, ach.rejected, ach.pending_return, ach.returned, ach.corrected, ach.canceled, ach.scheduled, ach.return_dishonored, ach.return_contested, account_number.created, account_number.activated, account_number.deactivated, internal_transfer.succeeded, internal_transfer.failed, internal_transfer.posted, internal_transfer.rejected, lending.disbursement.processing, lending.disbursement.succeeded, lending.disbursement.failed, lending.disbursement.ach_correction, wire.created, wire.under_review, wire.scheduled, wire.processing, wire.posted, wire.rejected, wire.canceled, wire.cancel_pending, instant_payment.posted, instant_payment.rejected, instant_payment.under_review, instant_payment.counterparty_status_updated, instant_payment.return_request_response_needed, instant_payment.return_request_status_updated, funding.posted, funding.rejected, blockchain_payment.payment_created, blockchain_payment.payment_under_review, blockchain_payment.payment_awaiting_funds, blockchain_payment.payment_submitted, blockchain_payment.payment_posted, blockchain_payment.payment_rejected, blockchain_payment.payment_canceled A set of filters on the list using the object’s field created_at.
Show child attributes
Show child attributes
Maximum number of objects to be returned.
Required range:
1 <= x <= 100A cursor for use in pagination; this is an Event ID that defines your place in the list.
Pattern:
^event_\w+$A cursor for use in pagination; this is an Event ID that defines your place in the list.
Pattern:
^event_\w+$Filter events by the ID of the associated object (e.g., wire_12345). If the object_id doesn't match the event filter's object type, returns empty results.
Pattern:
^(ach|wire|account_number|internal_transfer|disbursement|instant_payment|blockchain_payment)_\w+$Example:
"wire_12345"
Was this page helpful?

